Bug 1476585 - pandoc font required for PDF conversion not found (cmr10 TFM)
pandoc font required for PDF conversion not found (cmr10 TFM)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
: 1479750 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-30 09:16 EDT by Sam Tuke
Modified: 2018-05-29 07:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 07:40:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Tuke 2017-07-30 09:16:10 EDT
Description of problem:

Using pandoc to convert (at least) txt or markdown files to PDF fails due to the default selected font being unfound. All such conversions to PDF fail therefore. The font in question is cmr10, and should be provided by texlive-cm-super. However even with the package (and font) installed with the following files, the TFM version of the font is not found by pandoc:

/usr/share/texlive/texmf-dist/doc/pdftex/samplepdftex/cmr10.103
/usr/share/texlive/texmf-dist/fonts/afm/public/amsfonts/cm/cmr10.afm
/usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfb
/usr/share/texlive/texmf-dist/fonts/type1/public/amsfonts/cm/cmr10.pfm

Error printed by pandoc during conversion is:

    `! Font OT1/cmr/m/n/10=cmr10 at 10.0pt not loadable: Metric (TFM) file not found
    .
    <to be read again> 
                   relax 
    l.54 \normalsize
    
    pandoc: Error producing PDF`

How reproducible:

Always

Steps to Reproduce:
1. Install pandoc, texlive-cm-super, and pdflatex (texlive-latex-bin-bin)
2. Create a textfile (.txt) and run `pandoc filename.txt -o output.pdf
3. Observe error

Actual results:

File conversion fails

Expected results:

File conversion produces new PDF file with contents from input txt or md file.
Comment 1 Jens Petersen 2017-07-31 13:02:46 EDT
Thanks for the report.

Is this a pandoc issue?
Comment 2 Sam Tuke 2017-07-31 14:13:30 EDT
I'm not sure. Presumably pandoc config determines the default font to use for such conversions, and that font should always be available. In any case, the problem was discovered via usage of pandoc. I do not use, and have not tried pdflatex or texlive directly. I leave the categorisation to someone better informed.
Comment 3 Jens Petersen 2017-08-09 08:46:57 EDT
*** Bug 1479750 has been marked as a duplicate of this bug. ***
Comment 4 Jens Petersen 2017-08-09 08:48:18 EDT
Okay I will try to find time to investigate but if the font is installed
it sounds like a regression in the font package to me: I am happy to add
requires to the package if that helps though.
Comment 5 Basil Eric Rabi 2017-11-18 19:24:49 EST
Seems this issue is fixed in F27.
Comment 6 Jens Petersen 2017-11-19 01:48:54 EST
Okay, I would still like to understand the issue with F26.
Comment 7 Jens Petersen 2017-11-19 01:50:54 EST
But it sounds like a texlive issue.
Comment 8 Fedora End Of Life 2018-05-03 03:54:07 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2018-05-29 07:40:33 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.